Loading...
Searching...
No Matches
ExprNodeUtil.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/tables/TaQL/ExprNodeRep.h>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines
namespace | casacore::TableExprNodeUtil

## Functions

void | casacore::TableExprNodeUtil::checkAggrFuncs (TableExprNodeRep *node)
| Throw an exception if an aggregate function is used in the expression node or its children.
std::vector< TableExprNodeRep * > | casacore::TableExprNodeUtil::getAggrNodes (TableExprNodeRep *node)
| Get the aggregate function nodes used in the node and its children.
std::vector< TableExprNodeRep * > | casacore::TableExprNodeUtil::getColumnNodes (TableExprNodeRep *node)
| Get the column nodes used in the node and its children.
std::vector< Table > | casacore::TableExprNodeUtil::getNodeTables (TableExprNodeRep *node, Bool properMain)
| Get the (unique) tables used in the node and its children.
rownr_t | casacore::TableExprNodeUtil::getCheckNRow (const std::vector< Table > &)
| Get the nr of rows in the tables used.